# std::wcsstr

From cppreference.com
< cpp‎ | string‎ | wide

Defined in header `<cwchar>` |  |
const wchar_t* wcsstr( const wchar_t* dest, const wchar_t* src ); |  |
wchar_t* wcsstr( wchar_t* dest, const wchar_t* src ); |  |

Finds the first occurrence of the wide string `src` in the wide string pointed to by `dest`. The terminating null characters are not compared.

### Parameters

dest | - | pointer to the null-terminated wide string to examine
src | - | pointer to the null-terminated wide string to search for

### Return value

Pointer to the first character of the found substring in `dest`, or NULL if no such substring is found. If `src` points to an empty string, `dest` is returned.

### Example

| This section is incomplete Reason: no example

### See also

find | find characters in the string (public member function of `std::basic_string<CharT,Traits,Allocator>`)
strstr | finds the first occurrence of a substring of characters (function)
wcschr | finds the first occurrence of a wide character in a wide string (function)
wcsrchr | finds the last occurrence of a wide character in a wide string (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/wide/wcsstr&oldid=65945"